import { BrowserRouter, Switch } from "react-router-dom";

import { Nav } from 'components'
import { AccountPage, AuthPage, OrderIndexPage, OrderShowPage } from 'pages';
import { GoogleAuthProvider } from 'hooks'
import { PublicRoute, PrivateRoute } from 'router'

const MainRouter: React.FC = () => {
    return (
        <BrowserRouter>
            <GoogleAuthProvider>
                <Nav />
                <main>
                    <Switch>
                        <PrivateRoute path="/account" component={AccountPage} />
                        <PublicRoute exact path="/" component={AuthPage} />
                        <PrivateRoute path="/orders/:id" component={OrderShowPage} />
                        <PrivateRoute path="/orders" component={OrderIndexPage} />
                        {/* <Route component={NotFoundPage} /> */}
                    </Switch>
                </main>
            </GoogleAuthProvider>
        </BrowserRouter>
    )
}

export default MainRouter

  